
From: Jeff Muizelaar <muizelaar@rogers.com>

This patch against 2.5.70-bk2 removes the buffer allocation from resource.c
and lets seq_read do it instead.



 25-akpm/kernel/resource.c |   15 +--------------
 1 files changed, 1 insertion(+), 14 deletions(-)

diff -puN kernel/resource.c~resource-seqfile-cleanup kernel/resource.c
--- 25/kernel/resource.c~resource-seqfile-cleanup	Tue Jun 10 14:32:41 2003
+++ 25-akpm/kernel/resource.c	Tue Jun 10 14:32:41 2003
@@ -82,20 +82,7 @@ static int ioresources_show(struct seq_f
 
 static int ioresources_open(struct file *file, struct resource *root)
 {
-	char *buf = kmalloc(PAGE_SIZE, GFP_KERNEL);
-	struct seq_file *m;
-	int res;
-
-	if (!buf)
-		return -ENOMEM;
-	res = single_open(file, ioresources_show, root);
-	if (!res) {
-		m = file->private_data;
-		m->buf = buf;
-		m->size = PAGE_SIZE;
-	} else
-		kfree(buf);
-	return res;
+	return single_open(file, ioresources_show, root);
 }
 
 static int ioports_open(struct inode *inode, struct file *file)

_
